package com.bocloud.cmp.model;

public class UserResourceDetail {
    private Long userId;
    private Long resourceId;
    private Long resourceIdModuleId;
    private Long moduleID;
    private Integer size;
    private String type;

    /**
     * @return the userId
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * @return the resourceId
     */
    public Long getResourceId() {
        return resourceId;
    }

    /**
     * @return the resourceIdModuleId
     */
    public Long getResourceIdModuleId() {
        return resourceIdModuleId;
    }

    /**
     * @return the moduleID
     */
    public Long getModuleID() {
        return moduleID;
    }

    /**
     * @return the size
     */
    public Integer getSize() {
        return size;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param userId the userId to set
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * @param resourceId the resourceId to set
     */
    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    /**
     * @param resourceIdModuleId the resourceIdModuleId to set
     */
    public void setResourceIdModuleId(Long resourceIdModuleId) {
        this.resourceIdModuleId = resourceIdModuleId;
    }

    /**
     * @param moduleID the moduleID to set
     */
    public void setModuleID(Long moduleID) {
        this.moduleID = moduleID;
    }

    /**
     * @param size the size to set
     */
    public void setSize(Integer size) {
        this.size = size;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }
}
